com.marklogic.xcc.exceptions

## Class ContentInsertEntityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.marklogic.xcc.exceptions.XccException
      - - com.marklogic.xcc.exceptions.RequestException
        - - com.marklogic.xcc.exceptions.RequestServerException
          - - com.marklogic.xcc.exceptions.ContentInsertException
            - - com.marklogic.xcc.exceptions.ContentInsertEntityException

- All Implemented Interfaces:
    java.io.Serializable

      public class ContentInsertEntityException
      extends ContentInsertException

  This is a specialization of `ContentInsertException` that indicates the insertion faled because an XML entity embedded in the document could not be resolved. Entity resolution is not done by default, is must be enabled in the options ( `ContentCreateOptions`) associated with the insertion request. Entity resolution failures are not retryable.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentInsertEntityException(java.lang.String message, Request request, Content content, java.lang.String entityLocation)`
    `ContentInsertEntityException(java.lang.String message, Request request, Content content, java.lang.String entityLocation, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEntityLocation()` Returns the location, as a URI String, of the requested entity.

    - ### Methods inherited from class com.marklogic.xcc.exceptions.ContentInsertException

      `getContent, getContentUri`

    - ### Methods inherited from class com.marklogic.xcc.exceptions.RequestException

      `appendRequestInfo, getRequest, isRetryable, isRetryAdvised, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentInsertEntityException

          public ContentInsertEntityException(java.lang.String message,
                                              Request request,
                                              Content content,
                                              java.lang.String entityLocation)

    - #### ContentInsertEntityException

          public ContentInsertEntityException(java.lang.String message,
                                              Request request,
                                              Content content,
                                              java.lang.String entityLocation,
                                              java.lang.Throwable cause)

  - ### Method Detail

    - #### getEntityLocation

          public java.lang.String getEntityLocation()

      Returns the location, as a URI String, of the requested entity.
      Returns:
        A URI String.

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com